Author: lool
Date: Thu Aug 10 13:07:47 2006
New Revision: 6935
URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=6935
Log:
* Install gtk-doc documentation in the standard upstream directory.
- Drop --with-html-dir from configure args.
- Drop now useless libgtksourceview-doc.dirs.
- Update libgtksourceview-doc.install, libgtksourceview-doc.doc-base, and
libgtksourceview-doc.links.
- Drop /usr/share/doc/gtksourceview hierarchy.
- Add a preinst to manually drop symlinks on upgrades since dpkg can't
handle switching a pathname from symlink to directory.
- Add a prerm to manually drop the doc dir on downgrades since dpkg can't
handle switching a pathname from directory to symlink either.
Added:
desktop/experimental/gtksourceview/debian/libgtksourceview-doc.preinst
desktop/experimental/gtksourceview/debian/libgtksourceview-doc.prerm
Removed:
desktop/experimental/gtksourceview/debian/libgtksourceview-dev.links
desktop/experimental/gtksourceview/debian/libgtksourceview-doc.dirs
Modified:
desktop/experimental/gtksourceview/debian/changelog
desktop/experimental/gtksourceview/debian/libgtksourceview-doc.doc-base
desktop/experimental/gtksourceview/debian/libgtksourceview-doc.install
desktop/experimental/gtksourceview/debian/libgtksourceview-doc.links
desktop/experimental/gtksourceview/debian/rules
Modified: desktop/experimental/gtksourceview/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/changelog?rev=6935&op=diff
==============================================================================
--- desktop/experimental/gtksourceview/debian/changelog (original)
+++ desktop/experimental/gtksourceview/debian/changelog Thu Aug 10 13:07:47 2006
@@ -5,8 +5,18 @@
- Bump shlibs to >= 1.7.2.
- Stop shipping boo.lang, integrated upstream.
* Sync with overrides and set libgtksourceview-common's Section to misc.
-
- -- Loic Minier <[email protected]> Thu, 10 Aug 2006 12:24:33 +0200
+ * Install gtk-doc documentation in the standard upstream directory.
+ - Drop --with-html-dir from configure args.
+ - Drop now useless libgtksourceview-doc.dirs.
+ - Update libgtksourceview-doc.install, libgtksourceview-doc.doc-base, and
+ libgtksourceview-doc.links.
+ - Drop /usr/share/doc/gtksourceview hierarchy.
+ - Add a preinst to manually drop symlinks on upgrades since dpkg can't
+ handle switching a pathname from symlink to directory.
+ - Add a prerm to manually drop the doc dir on downgrades since dpkg can't
+ handle switching a pathname from directory to symlink either.
+
+ -- Loic Minier <[email protected]> Thu, 10 Aug 2006 15:07:01 +0200
gtksourceview (1.6.2-1) unstable; urgency=low
Modified: desktop/experimental/gtksourceview/debian/libgtksourceview-doc.doc-base
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/libgtksourceview-doc.doc-base?rev=6935&op=diff
==============================================================================
--- desktop/experimental/gtksourceview/debian/libgtksourceview-doc.doc-base (original)
+++ desktop/experimental/gtksourceview/debian/libgtksourceview-doc.doc-base Thu Aug 10 13:07:47 2006
@@ -7,5 +7,5 @@
Section: Apps/Programming
Format: HTML
-Index: /usr/share/doc/gtksourceview/gtksourceview/index.html
-Files: /usr/share/doc/gtksourceview/gtksourceview/*.html
+Index: /usr/share/gtk-doc/html/gtksourceview/index.html
+Files: /usr/share/gtk-doc/html/gtksourceview/*.html
Modified: desktop/experimental/gtksourceview/debian/libgtksourceview-doc.install
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/libgtksourceview-doc.install?rev=6935&op=diff
==============================================================================
--- desktop/experimental/gtksourceview/debian/libgtksourceview-doc.install (original)
+++ desktop/experimental/gtksourceview/debian/libgtksourceview-doc.install Thu Aug 10 13:07:47 2006
@@ -1,1 +1,1 @@
-debian/tmp/usr/share/doc
+debian/tmp/usr/share/gtk-doc
Modified: desktop/experimental/gtksourceview/debian/libgtksourceview-doc.links
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/libgtksourceview-doc.links?rev=6935&op=diff
==============================================================================
--- desktop/experimental/gtksourceview/debian/libgtksourceview-doc.links (original)
+++ desktop/experimental/gtksourceview/debian/libgtksourceview-doc.links Thu Aug 10 13:07:47 2006
@@ -1,2 +1,1 @@
-usr/share/doc/gtksourceview usr/share/doc/libgtksourceview-doc/gtksourceview
-usr/share/doc/gtksourceview usr/share/gtk-doc/html/gtksourceview
+usr/share/gtk-doc/html/gtksourceview usr/share/doc/libgtksourceview-doc/html
Added: desktop/experimental/gtksourceview/debian/libgtksourceview-doc.preinst
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/libgtksourceview-doc.preinst?rev=6935&op=file
==============================================================================
--- desktop/experimental/gtksourceview/debian/libgtksourceview-doc.preinst (added)
+++ desktop/experimental/gtksourceview/debian/libgtksourceview-doc.preinst Thu Aug 10 13:07:47 2006
@@ -1,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+action="$1"
+
+case "$action" in
+ upgrade)
+ version="$2"
+
+ # remove symlink from versions older than 1.7.2-1 manually on upgrades
+ # since we're replacing it with a directory and dpkg can't handle this case
+ # right now
+ if dpkg --compare-versions "$version" lt 1.7.2-1; then
+ rm -f /usr/share/gtk-doc/html/gtksourceview
+ fi
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$action'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
Added: desktop/experimental/gtksourceview/debian/libgtksourceview-doc.prerm
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/libgtksourceview-doc.prerm?rev=6935&op=file
==============================================================================
--- desktop/experimental/gtksourceview/debian/libgtksourceview-doc.prerm (added)
+++ desktop/experimental/gtksourceview/debian/libgtksourceview-doc.prerm Thu Aug 10 13:07:47 2006
@@ -1,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+action="$1"
+
+case "$action" in
+ upgrade)
+ version="$2"
+
+ # remove directory from versions higher than 1.7.2-1 manually on downgrades
+ # since we're replacing it with a symlink and dpkg can't handle this case
+ # right now
+ if dpkg --compare-versions "$version" lt 1.7.2-1; then
+ rm -rf /usr/share/gtk-doc/html/gtksourceview
+ fi
+ ;;
+
+ remove|failed-upgrade|deconfigure)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$action'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
Modified: desktop/experimental/gtksourceview/debian/rules
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gtksourceview/debian/rules?rev=6935&op=diff
==============================================================================
--- desktop/experimental/gtksourceview/debian/rules (original)
+++ desktop/experimental/gtksourceview/debian/rules Thu Aug 10 13:07:47 2006
@@ -10,9 +10,7 @@
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
# Compile options
-DEB_CONFIGURE_EXTRA_FLAGS := \
- --with-html-dir=\$${datadir}/doc/gtksourceview \
- --enable-static
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-static
# Debhelper Arguments
DEB_DH_MAKESHLIBS_ARGS += -V 'libgtksourceview1.0-0 (>= 1.7.2)'
lmpx.com only provides a reader for public news (NNTP) servers. It is not
affiliated with the servers or forums shown here and is not responsible for
the content of articles, which is written by their respective authors.